package facades;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.actions.ActionFactory.IWorkbenchAction;

public class ActionFactoryFacadeImpl extends ActionFactoryFacade {

	private class AboutAction extends Action implements IWorkbenchAction {
		private IWorkbenchWindow window; 
		public AboutAction(IWorkbenchWindow window) {
			this.window = window;
			setId( "about" );
			setText("About RAP MailDemo");
			setToolTipText("About RAP MailDemo");
		}
		public void dispose() {
			window = null;
		}
		public void run() {
			String title = "About Message";
			String msg = "This is the about Message of the RAP Mail Demo";
			MessageDialog.openInformation(window.getShell(), title, msg );
		}
	}
	
	IWorkbenchAction createAboutActionInternal(IWorkbenchWindow window) {
		return new AboutAction(window);
	}
}
