package facades;

import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.jobs.Job;
import org.eclipse.swt.widgets.Display;

public class JobFactoryImpl extends JobFactory {

	Job createJobInternal(final Display display, final String name, final JobRunnable runnable) {
		return new Job(name) {
			protected IStatus run(IProgressMonitor monitor) {
				return runnable.run(monitor);
			}
		};
	}

}
