package maildemo;

import facades.ImplementationLoader;
import facades.ISingletonProvider;

public class MySingleton {
	
	private final static ISingletonProvider PROVIDER;
	static {
		PROVIDER = (ISingletonProvider) ImplementationLoader.newInstance(MySingleton.class);
	}

	public static MySingleton getInstance() {
		return (MySingleton) PROVIDER.getInstanceInternal();
	}

	MySingleton() {
		// prevent instance creation
	}
}
