package facades;

import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.actions.ActionFactory.IWorkbenchAction;

public abstract class ActionFactoryFacade {
	private final static ActionFactoryFacade IMPL;
	static {
		IMPL = (ActionFactoryFacade) ImplementationLoader.newInstance(ActionFactoryFacade.class);
	}
	
	public static IWorkbenchAction createAboutAction( final IWorkbenchWindow window ) {
		return IMPL.createAboutActionInternal( window );
	}

	abstract IWorkbenchAction createAboutActionInternal(IWorkbenchWindow window);
}
