package facades;

import org.eclipse.swt.graphics.Color;

public abstract class GraphicsFacade {
	private final static GraphicsFacade IMPL;
	static {
		IMPL = (GraphicsFacade) ImplementationLoader.newInstance(GraphicsFacade.class);
	}
	
	public static Color getColor( final int red, final int green, final int blue ) {
		return IMPL.getColorInternal( red, green, blue );
	}

	abstract Color getColorInternal(int red, int green, int blue );

}
